Name: libdrm
Version: 2.4.0
Release: alt1

Summary: Userspace interface to kernel DRM service
License: GPL
Group: System/Libraries

Url: http://dri.freedesktop.org
Source: http://dri.freedesktop.org/libdrm/%name-%version.tar.bz2

Patch0: libdrm-2.4.0-alt-version-script.patch

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

%description
This library implements the userspace interface to the kernel DRM
services. DRM stands for "Direct Rendering Manager", which is the
kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
The DRI is currently used on Linux to provide hardware-accelerated
OpenGL drivers.

%package devel
Summary: The drm Library and Header Files
Group: Development/C
Requires: %name = %version-%release

%description devel
%name-devel contains the libraries and header files needed to
develop programs which make use of %name.

%def_disable static

%prep
%setup -q

%patch0 -p1

%build
%__autoreconf
%configure \
	%{subst_enable static}
%make_build

%install
%make DESTDIR=%buildroot install

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%_libdir/*.so.*

%files devel
%_includedir/drm
%_includedir/*.h
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Mon Nov 12 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.3.1-alt7
- revert 2.3.1 release
- added xgi_drm.h

* Sun Sep 09 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.3.1-alt6
- GIT snapshot, drop upstream patches

* Tue Aug 07 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.3.1-alt5
- updated nouveau_drm.h to patchlevel 10

* Sat Jul 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.3.1-alt4
- updated nouveau_drm.h to patchlevel 9

* Tue May 08 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.3.1-alt3
- fix typo on ttm fence interface master

* Sun Apr 08 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.3.1-alt2
- updated nouveau_drm.h to patchlevel 6

* Fri Mar 16 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Sun Jan 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 2.3.0-alt2
- fixed libdrm-2.3.0-alt-version-script.patch

* Thu Nov 09 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.3.0-alt1
- 2.3.0:
  + This adds support for server to user system libdrm, and also for
    drmOpenOnce and drmCloseOnce APIs.

* Sun Oct 29 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.2.0-alt2
- added version script

* Sun Oct 29 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Sun Oct 15 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.0.2-alt2
- GIT snapshot 2006-08-30:
	+ drmUpdateDrawableInfo

* Thu Jun 29 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.0.2-alt1
- 2.0.2

* Thu Apr 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.0.1-alt1
- 2.0.1

* Sat Mar 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.0-alt4
- CVS snapshot 20060314

* Mon Feb 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.0-alt3
- CVS snapshot 20060220

* Tue Feb 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.0-alt2
- added libdrm-2.0-cvs_changes patch

* Mon Dec 05 2005 Valery Inozemtsev <shrek@altlinux.ru> 2.0-alt1
- 2.0

* Wed Nov 23 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.5-alt0.1
- initial release

